/*
 * Copyright (c) 2000, 2001 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * Permission to use, copy, modify, and distribute this file
 * for any purpose with or without restriction is hereby granted.
 */

public class HelloSpaz
{

    public static void main(String args[])
    {
	/*
	 * Since this code is executing in the JSI message handler
	 * thread we need to spawn a new thread in this team and let
	 * it run forever.  Otherwise, we'd never be able to kill the
	 * team since the JSI thread is owned by the kernel and
	 * visiting this team.
	 */
	new Thread(new Runnable() {

	    public void run()
	    {
		while( true )
		{
		    /*
		     * Print out something so we know when its stopped.
		     */
		    System.out.println("hihihihihihihihi");
		    try { Thread.sleep(100); }
		    catch(InterruptedException ie) { }
		}
	    }
	    
	}).start();
    }
    
}
